Bug 1476851 - tmux bell-action other not working
tmux bell-action other not working
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tmux (Show other bugs)
26
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Filipe Rosset
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 11:22 EDT by Jan ONDREJ
Modified: 2017-08-20 14:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: tmux-2.5-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-20 14:25:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2017-07-31 11:22:35 EDT
Description of problem:
Tmux setting bell-action other has no effect.
More info here:
https://github.com/tmux/tmux/issues/1027#issuecomment-319088791
This URL also contains a possible patch.

Version-Release number of selected component (if applicable):
tmux-2.5-1.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. tmux # start tmux
2. tmux set -g bell-action other
3. sleep 3s && echo ^V^G

Actual results:
beep in current window, like with "current" setting

Expected results:
no bell in current window
Comment 1 Jan ONDREJ 2017-08-02 11:48:08 EDT
One more nice patch for me. Consider updating to git version or applying it.

https://github.com/tmux/tmux/commit/6f9b9655d7014f304b371574659fbca853a71091
Comment 2 Fedora Update System 2017-08-05 14:11:30 EDT
tmux-2.5-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-762848d530
Comment 3 Fedora Update System 2017-08-07 02:25:24 EDT
tmux-2.5-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-762848d530
Comment 4 Fedora Update System 2017-08-20 14:25:02 EDT
tmux-2.5-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.